#
# This makefile will build all of the interactive video XCMDs.
#
# 2/88 - Initial coding by Harry R. Chesley.
#

POptions	=	-w

HyperCommands	ÄÄ	blankVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8000 -sn Main=blankVideo ¶
		blankVideo.p.o "{MPW}"Libraries:interface.o

blankVideo.p.o	Ä	blankVideo.p VideoUtil.inc

HyperCommands	ÄÄ	controlVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8001 -sn Main=controlVideo ¶
		controlVideo.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

controlVideo.p.o	Ä	controlVideo.p VideoUtil.inc

HyperCommands	ÄÄ	playVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8002 -sn Main=playVideo ¶
		playVideo.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

playVideo.p.o	Ä	playVideo.p VideoUtil.inc

HyperCommands	ÄÄ	scanVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8003 -sn Main=scanVideo ¶
		scanVideo.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

scanVideo.p.o	Ä	scanVideo.p VideoUtil.inc

HyperCommands	ÄÄ	searchVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8004 -sn Main=searchVideo ¶
		searchVideo.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

searchVideo.p.o	Ä	searchVideo.p VideoUtil.inc

HyperCommands	ÄÄ	sendVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8005 -sn Main=sendVideo ¶
		sendVideo.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

sendVideo.p.o	Ä	sendVideo.p VideoUtil.inc

HyperCommands	ÄÄ	setVideoPlayer.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8006 -sn Main=setVideoPlayer ¶
		setVideoPlayer.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

setVideoPlayer.p.o	Ä	setVideoPlayer.p VideoUtil.inc

HyperCommands	ÄÄ	stepVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8007 -sn Main=stepVideo ¶
		stepVideo.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

stepVideo.p.o	Ä	stepVideo.p VideoUtil.inc

HyperCommands	ÄÄ	stopVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8008 -sn Main=stopVideo ¶
		stopVideo.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

stopVideo.p.o	Ä	stopVideo.p VideoUtil.inc

HyperCommands	ÄÄ	waitForPlayVideo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8009 -sn Main=waitForPlayVideo ¶
		waitForPlayVideo.p.o "{MPW}"Libraries:interface.o

waitForPlayVideo.p.o	Ä	waitForPlayVideo.p VideoUtil.inc

HyperCommands	ÄÄ	videoFramesPerSecond.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=8010 -sn Main=videoFramesPerSecond ¶
		videoFramesPerSecond.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoFramesPerSecond.p.o	Ä	videoFramesPerSecond.p VideoUtil.inc

HyperCommands	ÄÄ	HMSToTicks.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8000 -sn Main=HMSToTicks ¶
		HMSToTicks.p.o "{MPW}"PLibraries:PasLib.o

HMSToTicks.p.o	Ä	HMSToTicks.p VideoUtil.inc

HyperCommands	ÄÄ	ticksToHMS.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8001 -sn Main=ticksToHMS ¶
		ticksToHMS.p.o "{MPW}"PLibraries:PasLib.o

ticksToHMS.p.o	Ä	ticksToHMS.p VideoUtil.inc

HyperCommands	ÄÄ	videoFrame.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8002 -sn Main=videoFrame ¶
		videoFrame.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoFrame.p.o	Ä	videoFrame.p VideoUtil.inc

HyperCommands	ÄÄ	videoPlayers.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8003 -sn Main=videoPlayers ¶
		videoPlayers.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoPlayers.p.o	Ä	videoPlayers.p VideoUtil.inc

HyperCommands	ÄÄ	videoSpeeds.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8004 -sn Main=videoSpeeds ¶
		videoSpeeds.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoSpeeds.p.o	Ä	videoSpeeds.p VideoUtil.inc

HyperCommands	ÄÄ	videoVersion.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8005 -sn Main=videoVersion ¶
		videoVersion.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoVersion.p.o	Ä	videoVersion.p VideoUtil.inc

HyperCommands	ÄÄ	videoChapter.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8006 -sn Main=videoChapter ¶
		videoChapter.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoChapter.p.o	Ä	videoChapter.p VideoUtil.inc

HyperCommands	ÄÄ	videoTime.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8007 -sn Main=videoTime ¶
		videoTime.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoTime.p.o	Ä	videoTime.p VideoUtil.inc

HyperCommands	ÄÄ	videoStatus.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8008 -sn Main=videoStatus ¶
		videoStatus.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

videoStatus.p.o	Ä	videoStatus.p VideoUtil.inc

HyperCommands	ÄÄ	vidDrvrP4200.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8030 -sn Main=vidDrvrP4200 ¶
		vidDrvrP4200.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

vidDrvrP4200.p.o	Ä	vidDrvrP4200.p VideoUtil.inc

HyperCommands	ÄÄ	vidDrvrP6000A.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8031 -sn Main=vidDrvrP6000A ¶
		vidDrvrP6000A.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

vidDrvrP6000A.p.o	Ä	vidDrvrP6000A.p VideoUtil.inc

HyperCommands	ÄÄ	vidDrvrS1500.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8032 -sn Main=vidDrvrS1500 ¶
		vidDrvrS1500.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

vidDrvrS1500.p.o	Ä	vidDrvrS1500.p VideoUtil.inc

HyperCommands	ÄÄ	vidDrvrS2000.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8033 -sn Main=vidDrvrS2000 ¶
		vidDrvrS2000.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

vidDrvrS2000.p.o	Ä	vidDrvrS2000.p VideoUtil.inc

HyperCommands	ÄÄ	vidDrvrH9550.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=8034 -sn Main=vidDrvrH9550 ¶
		vidDrvrH9550.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

vidDrvrH9550.p.o	Ä	vidDrvrH9550.p VideoUtil.inc
